[package]
name = "sysutils"
version = "0.1.0"
edition = "2024"
authors = ["Mark Poliakov <mark@alnyan.me>"]

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
libterm = { workspace = true, features = ["tui"] }
cross.workspace = true
logsink.workspace = true
libutil.workspace = true

log.workspace = true
rand.workspace = true
thiserror.workspace = true
clap.workspace = true
serde.workspace = true
serde_json.workspace = true
sha2.workspace = true
chrono.workspace = true
ratatui.workspace = true
stuff.workspace = true

# Own regex implementation?
regex = "1.11.1"
pci-ids = { version = "0.2.5" }

init = { path = "../tools/init" }

[target.'cfg(target_os = "yggdrasil")'.dependencies]
yggdrasil-abi.workspace = true
yggdrasil-rt.workspace = true
runtime.workspace = true

[dev-dependencies]
runtime.workspace = true

[lib]
path = "src/lib.rs"

# /sbin
[[bin]]
name = "mount"
path = "src/mount.rs"

[[bin]]
name = "poweroff"
path = "src/poweroff.rs"

[[bin]]
name = "reboot"
path = "src/reboot.rs"

[[bin]]
name = "chroot"
path = "src/chroot.rs"

[[bin]]
name = "login"
path = "src/login.rs"

[[bin]]
name = "service"
path = "src/service.rs"

[[bin]]
name = "logd"
path = "src/logd.rs"

[[bin]]
name = "kmod"
path = "src/kmod.rs"

# /bin
[[bin]]
name = "echo"
path = "src/echo.rs"

[[bin]]
name = "tar"
path = "src/tar.rs"

[[bin]]
name = "ls"
path = "src/ls.rs"

[[bin]]
name = "tree"
path = "src/tree.rs"

[[bin]]
name = "mv"
path = "src/mv.rs"

[[bin]]
name = "ln"
path = "src/ln.rs"

[[bin]]
name = "i2c"
path = "src/i2c.rs"

[[bin]]
name = "mkdir"
path = "src/mkdir.rs"

[[bin]]
name = "touch"
path = "src/touch.rs"

[[bin]]
name = "rm"
path = "src/rm.rs"

[[bin]]
name = "env"
path = "src/env.rs"

[[bin]]
name = "cat"
path = "src/cat.rs"

[[bin]]
name = "hexd"
path = "src/hexd.rs"

[[bin]]
name = "showkey"
path = "src/showkey.rs"

[[bin]]
name = "random"
path = "src/random.rs"

[[bin]]
name = "dd"
path = "src/dd.rs"

[[bin]]
name = "view"
path = "src/view.rs"

[[bin]]
name = "grep"
path = "src/grep.rs"

[[bin]]
name = "chmod"
path = "src/chmod.rs"

[[bin]]
name = "sha256sum"
path = "src/sha256sum.rs"

[[bin]]
name = "sysmon"
path = "src/sysmon.rs"

[[bin]]
name = "date"
path = "src/date.rs"

[[bin]]
name = "sync"
path = "src/sync.rs"

[[bin]]
name = "sleep"
path = "src/sleep.rs"

[[bin]]
name = "lspci"
path = "src/lspci.rs"

[[bin]]
name = "ps"
path = "src/ps.rs"

[[bin]]
name = "top"
path = "src/top.rs"

[[bin]]
name = "serial"
path = "src/serial.rs"

[[bin]]
name = "pwm"
path = "src/pwm.rs"

[[bin]]
name = "tst"
path = "src/tst.rs"


[lints]
workspace = true
